LEGO Harry Potter: Years 1-4 System Requirements

Can I Run LEGO Harry Potter: Years 1-4

Check the LEGO Harry Potter: Years 1-4 system requirements. Can I Run it? Test your specs and rate your gaming PC. System requirements Lab runs millions of PC requirements tests on over 5,000 games a month.

About LEGO Harry Potter: Years 1-4

LEGO Harry Potter: Years 1-4 starts your adventure off on Privet Drive and takes you all the way through the chilling conclusion of the Triwizard Tournament - LEGO style! Explore Hogwarts as you learn new spells, brew bubbling potions, and relive the all of wonder that the Harry Potter universe has to offer.

Here are the LEGO Harry Potter: Years 1-4 system requirements (minimum)

  • CPU: Pentium 4 at 1.8 GHz / AMD Athlon XP 2200+
  • CPU SPEED: Pentium 4 at 1.8 GHz
  • RAM: 512 MB
  • OS: Windows XP, Vista or Windows 7
  • VIDEO CARD: 256 MB video card (NVIDIA GeForce FX 5800+ / ATI Radeon X1300+)
  • FREE DISK SPACE: 6 GB

LEGO Harry Potter: Years 1-4 Recommended Requirements

  • CPU: Intel Core 2 Duo/AMD Athlon 64 2.8GHz
  • RAM: 2 GB
  • OS: Windows XP, Vista or Windows 7
  • VIDEO CARD: 256 MB video card (NVIDIA GeForce 8800+ / ATI Radeon HD 2900+)
  • FREE DISK SPACE: 6 GB

Driver Update Click here for the latest video card drivers


Similar Games System Requirements

Harry Potter and the Goblet of Fire Similar Games System Requirements
Harry Potter and the Goblet of Fire
The Elder Scrolls V: Skyrim Similar Games System Requirements
The Elder Scrolls V: Skyrim
LEGO Batman Similar Games System Requirements
LEGO Batman